Update a budgetpatch https://gateway.stage.bill.com/connect/v3/spend/budgets/{budgetId}Update details about an existing budget.Path ParamsbudgetIdstringrequiredlength ≥ 1BILL-generated ID or UUID of the budgetBody ParamsnamestringBudget namedescriptionstringBudget descriptionexpirationDatedate | nullBudget expiration date. This value is in the yyyy-MM-dd format.recurringIntervalstringenumInterval after which the budget is reset. By default, BILL uses the timezone of the company's billing address to reset a budget at 12 AM. NONE: Never DAILY: Each day at 12 AM WEEKLY: Each Monday at 12 AM MONTHLY: On the 1st of every month at 12 AM QUARTERLY: Once every 3 months, on the 1st of the month at 12 AM. Set the first month with recurMonth. YEARLY: Once every year, on the 1st of the month at 12 AM. Set the month with recurMonth. NONEDAILYWEEKLYMONTHLYQUARTERLYYEARLYAllowed:NONEDAILYWEEKLYMONTHLYQUARTERLYYEARLYrecurMonthint641 to 12The month in which the budget will recur. Set this field only when recurringInterval is set as QUARTERLY or YEARLY. The default value is the current month.timezonestringTimezone in which the budget funds are reset. The default value is the timezone of the company's billing address. Set this field in the US/{time_zone} format. For example, US/Pacific or US/Mountain.autoAddUsersbooleanSet as true to automatically add all new users to this budgettruefalsereceiptRequiredbooleanSet as true if a receipt is required for transactions in the budgettruefalsemaxTxSizenumberMaximum transaction size in the budget. Any single transaction for an amount greater than maxTxSize will be declined.carryOverbooleanSet as true for any budget funds assigned to users and vendor cards to carry over from one budget period to the next. The budget period is set with recurringInterval.truefalselimitlessOverspendbooleanSet as true for enabling spend amounts over the budget limit. Note: You cannot set this field as true for budgets with recurringInterval set as DAILY or WEEKLY.truefalselimitnumberSpend limit for the initial budget period. Note: This field is required unless limitlessOverspend is set as true.limitlessGoalnumberSpend goal for a limitless budget. Note: You can set this field when limitlessOverspend is set as true.recurringLimitnumberSpend limit for all future budget periods. Note: This field is required when recurringInterval is set as any value other than NONE.overspendBuffernumberSpend amount allowed above the budget limit before transactions are declined. Note: You cannot set this field when limitlessOverspend is set as true or for budgets with recurringInterval as DAILY or WEEKLY.shareFundsstringenumRule for how the budget funds are shared with budget members. The default value is SHARE_MANUALLY.DO_NOT_SHARESHARE_MANUALLYAllowed:DO_NOT_SHARESHARE_MANUALLYHeadersapiTokenstring | nullAccess token for Spend & Expense API authenticationResponses 200Update a budget response 4XXList of errors. 5XXList of errors.Updated 5 months ago